use rocket::{serde::{Deserialize, Serialize, json::{self, serde_json::json}}, Responder};

#[derive(Deserialize, Serialize)]
#[serde(crate="rocket::serde")]
pub struct ApiResponse {
    pub code: u32,
    pub message: String
}

#[derive(Deserialize, Serialize)]
#[serde(crate="rocket::serde")]
pub struct ApiResponseActiveList {
    pub code: u32,
    pub active_animations: Vec<String>,
}

#[derive(Responder)]
pub struct ApiResponder(String);


pub fn create_message(code: u32, message: &str) -> String {
	return json!(ApiResponse {code, message: message.to_string()}).to_string();
}

pub fn get_error_message(message: &str) -> String {
	return create_message(500, message);
}
